<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: auto_approve_submissions_panel.php
| Author: Nick Jones (Digitanium)
| Co-authors: Daywalker, Nicolae Crefelean (kneekoo)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { exit; }
$submissions = dbquery("SELECT * FROM ".DB_SUBMISSIONS);
if ($count = dbrows($submissions)) {
	while ($submission = dbarray($submissions)) {
		switch ($submission['submit_type']) {
			case 'l':
				$link_data = unserialize($submission['submit_criteria']);
				$link_name = stripinput($link_data['link_name']);
				$link_url = stripinput($link_data['link_url']);
				$link_description = stripinput($link_data['link_description']);
				$result = dbquery("INSERT INTO ".DB_WEBLINKS." (weblink_name, weblink_description, weblink_url, weblink_cat, weblink_datestamp, weblink_count) VALUES ('$link_name', '$link_description', '$link_url', '".$link_data['link_category']."', '".time()."', '0')");
				$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$submission['submit_id']."'");
				break;
			case 'a':
				$article_data = unserialize($submission['submit_criteria']);
				$article_cat = isnum($article_data['article_cat']) ? $article_data['article_cat'] : 0;
				$article_subject = stripinput($article_data['article_subject']);
				$article_snippet = addslash($article_data['article_snippet']);
				$article_body = addslash($article_data['article_body']);
				$article_breaks = ($article_data['article_breaks'] == "y") ? "y" : "n";
				$result = dbquery("INSERT INTO ".DB_ARTICLES." (article_cat, article_subject, article_snippet, article_article, article_breaks, article_name, article_datestamp, article_reads, article_allow_comments, article_allow_ratings) VALUES ('$article_cat', '$article_subject', '$article_snippet', '$article_body', '$article_breaks', '".$submission['submit_user']."', '".time()."', '0', '1', '1')");
				$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$submission['submit_id']."'");
				break;
			case 'p':
				define("SAFEMODE", @ini_get("safe_mode") ? true : false);
				require_once INCLUDES."photo_functions_include.php";
				$photo_file = ""; $photo_thumb1 = ""; $photo_thumb2 = "";
				$photo_data = unserialize($submission['submit_criteria']);
				$photo_title = stripinput($photo_data['photo_title']);
				$photo_description = stripinput($photo_data['photo_description']);
				$album_id = isnum($photo_data['album_id']) ? $photo_data['album_id'] : "0";
				$photo_name = strtolower(substr($photo_data['photo_file'], 0, strrpos($photo_data['photo_file'], ".")));
				$photo_ext = strtolower(strrchr($photo_data['photo_file'],"."));
				$photo_dest = PHOTOS.(!SAFEMODE ? "album_".$album_id."/" : "");
				$photo_file = image_exists($photo_dest, $photo_name.$photo_ext);

				copy(PHOTOS."submissions/".$photo_data['photo_file'], $photo_dest.$photo_file);
				chmod($photo_dest.$photo_file, 0644);
				unlink(PHOTOS."submissions/".$photo_data['photo_file']);
				$imagefile = @getimagesize($photo_dest.$photo_file);

				$photo_thumb1 = image_exists($photo_dest, $photo_name."_t1".$photo_ext);
				createthumbnail($imagefile[2], $photo_dest.$photo_file, $photo_dest.$photo_thumb1, $settings['thumb_w'], $settings['thumb_h']);
				if ($imagefile[0] > $settings['photo_w'] || $imagefile[1] > $settings['photo_h']) {
					$photo_thumb2 = image_exists($photo_dest, $photo_name."_t2".$photo_ext);
					createthumbnail($imagefile[2], $photo_dest.$photo_file, $photo_dest.$photo_thumb2, $settings['photo_w'], $settings['photo_h']);
				}
				$photo_order = dbresult(dbquery("SELECT MAX(photo_order) FROM ".DB_PHOTOS." WHERE album_id='$album_id'"), 0) + 1;
				$result = dbquery("INSERT INTO ".DB_PHOTOS." (album_id, photo_title, photo_description, photo_filename, photo_thumb1, photo_thumb2, photo_datestamp, photo_user, photo_views, photo_order, photo_allow_comments, photo_allow_ratings) VALUES ('$album_id', '$photo_title', '$photo_description', '$photo_file', '$photo_thumb1', '$photo_thumb2', '".time()."', '".$submission['submit_user']."', '0', '$photo_order', '1', '1')");
				$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$submission['submit_id']."'");
				break;
			case 'd':
				require_once INCLUDES."infusions_include.php";
				$download_data = unserialize($submission['submit_criteria']);
				$download_title = stripinput($download_data['download_title']);
				$download_description = stripinput($download_data['download_description']);
				$download_description_short = stripinput($download_data['download_description_short']);
				$download_cat = isnum($download_data['download_cat']) ? $download_data['download_cat'] : "0";
				$download_allow_comments = isset($download_data['download_allow_comments']) && isnum($download_data['download_allow_comments']) ? $download_data['download_allow_comments'] : "0";
				$download_allow_ratings = isset($download_data['download_allow_ratings']) && isnum($download_data['download_allow_ratings']) ? $download_data['download_allow_ratings'] : "0";
				$download_url = isset($download_data['download_url']) ? stripinput($download_data['download_url']) : "";
				$download_os = stripinput($download_data['download_os']);
				$download_license = stripinput($download_data['download_license']);
				$download_copyright = stripinput($download_data['download_copyright']);
				$download_homepage = stripinput($download_data['download_homepage']);
				$download_version = stripinput($download_data['download_version']);
				$download_filesize = stripinput($download_data['download_filesize']);
				$download_file = isset($download_data['download_file']) && file_exists(DOWNLOADS."submissions/".$download_data['download_file']) ? $download_data['download_file'] : "";
				$download_image = isset($download_data['download_image']) && file_exists(DOWNLOADS."submissions/images/".$download_data['download_image']) ? $download_data['download_image'] : "";
				$download_image_thumb = isset($download_data['download_image_thumb']) && file_exists(DOWNLOADS."submissions/images/".$download_data['download_image_thumb']) ? $download_data['download_image_thumb'] : "";
				if (isset($download_data['del_image'])) {
					if (file_exists(DOWNLOADS."submissions/images/".$download_image)) {
						@unlink(DOWNLOADS."submissions/images/".$download_image);
						$download_image = "";
					}
					if (file_exists(DOWNLOADS."submissions/images/".$download_image_thumb)) {
						@unlink(DOWNLOADS."submissions/images/".$download_image_thumb);
						$download_image_thumb = "";
					}
				}
				if ($download_file) {
					$dest = DOWNLOADS;
					$file = filename_exists($dest, $download_file);
					copy(DOWNLOADS."submissions/".$download_data['download_file'], $dest.$file);
					chmod($dest.$file, 0644);
					unlink(DOWNLOADS."submissions/".$download_data['download_file']);
					$download_file = $file;
					$download_url = "";
				}
				if ($download_image) {
					$dest =	DOWNLOADS."images/";
					$file = filename_exists($dest, $download_image);
					copy(DOWNLOADS."submissions/images/".$download_data['download_image'], $dest.$file);
					chmod($dest.$file, 0644);
					unlink(DOWNLOADS."submissions/images/".$download_data['download_image']);
					$download_image = $file;
				}
				if ($download_image_thumb) {
					$dest = DOWNLOADS."images/";
					$file = filename_exists($dest, $download_image_thumb);
					copy(DOWNLOADS."submissions/images/".$download_data['download_image_thumb'], $dest.$file);
					chmod($dest.$file, 0644);
					unlink(DOWNLOADS."submissions/images/".$download_image_thumb);
					$download_image_thumb = $file;
				}
				$result = dbquery("INSERT INTO ".DB_DOWNLOADS." SET
					download_user = '".$submission['submit_user']."',
					download_title = '".$download_title."',
					download_description_short = '".$download_description_short."',
					download_description = '".$download_description."',
					download_image = '".$download_image."',
					download_image_thumb = '".$download_image_thumb."',
					download_url = '".$download_url."',
					download_file = '".$download_file."',
					download_cat = '".$download_cat."',
					download_license = '".$download_license."',
					download_copyright = '".$download_copyright."',
					download_homepage = '".$download_homepage."',
					download_os = '".$download_os."',
					download_version = '".$download_version."',
					download_filesize = '".$download_filesize."',
					download_allow_comments = '".$download_allow_comments."',
					download_allow_ratings = '".$download_allow_ratings."',
					download_datestamp = '".time()."',
					download_count = '0'");
				$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$submission['submit_id']."'");
				break;
			case 'n':
				$news_data = unserialize($submission['submit_criteria']);
				$news_subject = stripinput($news_data['news_subject']);
				$news_cat = isnum($news_data['news_cat']) ? $news_data['news_cat'] : "0";
				$news_snippet = addslash($news_data['news_snippet']);
				$news_body = addslash($news_data['news_body']);
				$news_breaks = ($news_data['news_breaks'] == "y") ? "y" : "n";
				$result = dbquery("INSERT INTO ".DB_NEWS." (news_subject, news_cat, news_news, news_extended, news_breaks, news_name, news_datestamp, news_start, news_end, news_visibility, news_reads, news_allow_comments, news_allow_ratings) VALUES ('$news_subject', '$news_cat', '$news_snippet', '$news_body', '$news_breaks', '".$submission['submit_user']."', '".time()."', '0', '0', '0', '0', '1', '1')");
				$result = dbquery("DELETE FROM ".DB_SUBMISSIONS." WHERE submit_id='".$submission['submit_id']."'");
				break;
		}
	}
}
?>
